<template>
  <div id="take-appointement">

    <br />
      <div class="vuecal--green-theme">
       <button @click="events.push({
    start: '2018-11-20 12:00',
    end: '2018-11-20 17:00',
    title: 'A new event',
    class: 'blue-event'
})">Add an event</button>
<button @click="events.pop()">Remove last event</button>

<vue-cal selected-date="2018-11-19"
         :time-from="9 * 60"
         :time-to="23 * 60"
         :disable-views="['years', 'year', 'month']"
         hide-weekends
         :events="events">
</vue-cal>
</div>
    <br />
    <div class="container">
      <br />
      <hr />

      <div class="row">
        <div class="col offset-md-1">
          <form id="form_create_appointment">
            <div class="form-row">
              <div class="col form-group">
                <label class="required">Date</label>
                <input
                  v-model="date"
                  class="form-control date-input"
                  type="date"
                  id="date"
                  data-trigger="hover"
                  data-toggle="popover"
                  title="Date"
                  data-content="You can select any date from today clicking on the number in the calendar"
                  required
                />
              </div>
              <div class="col form-group">
                <label>Description</label>
                <select
                  v-model="description"
                  class="form-control"
                  id="description"
                >
                  <option value="Cortar pello">Cortar pello</option>
                  <option value="Cortar barba">Cortar barba</option>
                  <option value="Cortar pello y barba"
                    >Cortar pello y barba</option
                  >
                </select>
              </div>
            </div>
            <div class="form-row">
              <div class="col form-group">
                <label class="required">Start Time</label>
                <input
                  v-model="starttime"
                  class="form-control time-input"
                  type="time"
                  id="start_time"
                  required
                />
              </div>
              <div class="col form-group">
                <label class="required">End Time</label>
                <input
                  v-model="endtime"
                  class="form-control time-input"
                  type="time"
                  id="end_time"
                  required
                />
              </div>
            </div>
            <div class="form-row">
              <div class="col form-group">
                <button
                  type="button"
                  class="btn btn-warning btn-block"
                  id="clear"
                  onclick="clear_input()"
                >
                  Clear Form
                </button>
              </div>
              <div class="col form-group"></div>

              <button
                @click="btnConfermAppointment"
                type="button"
                class="btn btn-primary"
              >
                Registre
              </button>
            </div>
          </form>
        </div>
        <div class="col offset-md-1">
          <div class="row">
            <div class="col">
              <h3>Appointments</h3>
            </div>
            <div class="col form-group">
              <button
                type="button"
                class="btn btn-danger btn-block"
                id="btn_clear_storage"
                onclick="clear_storage()"
              >
                Clear Appointments
              </button>
            </div>
          </div>
          <table
            class="table table-bordered table-hover table-striped table-sm"
            id="appointment_list"
          >
            <thead class="thead-dark">
              <tr>
                <th scope="col" class="text-center align-middle">Date</th>
                <th scope="col" class="text-center align-middle">
                  Description
                </th>
                <th scope="col" class="text-center align-middle">Start time</th>
                <th scope="col" class="text-center align-middle">End time</th>
                <th scope="col" class="text-center align-middle">Action</th>
              </tr>
            </thead>
            <template v-for="(listuser1, index) in user1">
              <ReserveAppointmentitem
                :user1="listuser1"
                :key="index"
                @btndelete="deleteUser"
                @btnedit="buttonEdit"
              />
            </template>
          </table>
        </div>
      </div>
      <br /><br /><br />
    </div>

  </div>
</template>

<script>
import ReserveAppointmentitem from "@/components/ReserveAppointmentitem.vue";
import VueCal from 'vue-cal'
import 'vue-cal/dist/vuecal.css'
export default {
  name: "ReserveAppointment",
  components: {
    ReserveAppointmentitem,
    VueCal
  },
  props: {
    user1: {
      propType: Array,
      required: true
    }
  },
  date() {
    return {
      
    };
  },

  methods: {   

/*     EndTime(){
if(description = "Cortar pello" ){
    this.calculEndTime= starttime +30
 }else if (description ="Cortar barba"){
 this.calculEndTime= starttime +15
  }else
 this.calculEndTime= starttime +45;
    }, */


    btnConfermAppointment() {
      this.$emit(
        "confermappointment",
        this.date,
        this.description,
        this.starttime,
        this.endtime
      );
    },
    deleteUser(id) {
      this.$emit("button-delete", id);
    },
    buttonEdit(user1) {
      this.$emit("button-edit", user1);
    }
  }
};
</script>

<style scoped>
* {
  box-sizing: border-box;
}
.card-header * {
  list-style-type: none;
}

.required:after {
  content: "*";
  font-weight: bold;
  color: red;
  margin-left: 5px;
}

.card-header {
  padding: 50px 25px;
  width: 100%;
}

.card-header ul {
  margin: 0;
  padding: 0;
}

.card-header ul li {
  color: white;
  font-size: 20px;
  letter-spacing: 3px;
}

.weekdays {
  margin: 0;
  padding: 10px 0;
}

.days {
  padding: 10px 0;
}

.badge1 {
  position: relative;
}
.badge1[data-badge]:after {
  content: attr(data-badge);
  position: absolute;
  top: -0.5px;
  right: -0.5px;
  font-size: 0.7em;
  background: red;
  color: white;
  width: 18px;
  height: 18px;
  text-align: center;
  line-height: 18px;
  border-radius: 50%;
  box-shadow: 0 0 1px #333;
}

@media screen and (max-width: 720px) {
  .weekdays td,
  .days td {
    width: 13.1%;
  }
}

@media screen and (max-width: 420px) {
  .weekdays td,
  .days td {
    width: 12.5%;
  }

  .days td .active {
    padding: 2px;
  }
}

@media screen and (max-width: 290px) {
  .weekdays td,
  .days td {
    width: 12.2%;
  }
}

.vuecal__menu, .vuecal__cell-events-count {background-color: #42b983;}
.vuecal__title-bar {background-color: #e4f5ef;}
.vuecal__cell--today, .vuecal__cell--current {background-color: rgba(240, 240, 255, 0.4);}
.vuecal:not(.vuecal--day-view) .vuecal__cell--selected {background-color: rgba(235, 255, 245, 0.4);}
.vuecal__cell--selected:before {border-color: rgba(66, 185, 131, 0.5);}
/* Cells and buttons get highlighted when an event is dragged over it. */
.vuecal__cell--highlighted:not(.vuecal__cell--has-splits),
.vuecal__cell-split--highlighted {background-color: rgba(195, 255, 225, 0.5);}
.vuecal__arrow.vuecal__arrow--highlighted,
.vuecal__view-btn.vuecal__view-btn--highlighted {background-color: rgba(136, 236, 191, 0.25);}

</style>
